[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusBar.OnDrawPanel

Event handler signalled to draw a panel in the status bar.

## Declaration

Source position: comctrls.pp line 209

`published property TStatusBar.OnDrawPanel : TDrawPanelEvent read FOnDrawPanel write FOnDrawPanel;`

## Description

OnDrawPanel is a TDrawPanelEvent property with the event handler signalled to draw the specified panel on the status bar. OnDrawPanel is signalled (when assigned) from the DrawPanel method, and occurs when the TLMDrawItems message is handled for the control. Assign an object procedure using the signature in TDrawPanelEvent to render the specified panel to a rectangle on the Canvas for the status bar control.

## See also

TStatusBar.DrawPanel |  | Signals the OnDrawPanel event handler (when assigned).
TDrawPanelEvent |  | Specifies an event handler used to draw a panel in a status bar.
TLMDrawItems |  |